Degree {cheddar} | R Documentation

## Node degree

### Description

The number of trophic links in to and out of nodes in a `Community`.

### Usage

    Degree(community)
    InDegree(community)
    TrophicGenerality(community)
    NumberOfResources(community)
    OutDegree(community)
    TrophicVulnerability(community)
    NumberOfConsumers(community)

    NormalisedTrophicGenerality(community)
    NormalisedTrophicVulnerability(community)

### Arguments

`community` | an object of class `Community`.

### Details

`InDegree` and `OutDegree` return the number of trophic links in-to and out-of each node. `Degree` returns `InDegree` + `OutDegree`. `TrophicGenerality` and `NumberOfResources` are synonyms for `InDegree`. `TrophicVulnerability` and `NumberOfResources` are synonyms for `OutDegree`.

`NormalisedTrophicGenerality` and `NormalisedTrophicVulnerability` return the containing the number of resources and consumer of each node, normalised with respect to `LinkageDensity`. The mean of the values returned by both `NormalisedTrophicGenerality` and `NormalisedTrophicVulnerability` is 1, making their standard deviations comparable across different food webs.

### Value

A vector of length `NumberOfNodes`.

### Author(s)

Lawrence Hudson

### References

Williams, R.J. and Martinez, N.D. (2000) Simple rules yield complex food webs. Nature 404, 180–183.

### See Also

`Community`, `NumberOfNodes`, `LinkageDensity`, `DirectedConnectance`, `DegreeDistribution`

### Examples

    data(TL84)

    d <- Degree(TL84)
    i <- InDegree(TL84)
    o <- OutDegree(TL84)

    # This equality is always TRUE for all food webs
    all(d == i+o)

    ntg <- NormalisedTrophicGenerality(TL84)
    mean(ntg)    # Equals 1
    ntv <- NormalisedTrophicVulnerability(TL84)
    mean(ntv)    # Equals 1

[Package cheddar version 0.1-633 Index]